---
sidebar_label: BrowserContextOptions.proxyServer
---

# BrowserContextOptions.proxyServer property

Proxy server with optional port to use for all requests. Username and password can be set in `Page.authenticate`.

**Signature:**

```typescript
interface BrowserContextOptions {
  proxyServer?: string;
}
```
